﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace Samples.Shared
{
    public static class SampleData
    {
        public static IEnumerable<ExtendedMessage> GetExtendedMessages()
        {
            return new ObservableCollection<ExtendedMessage>() { 
				new ExtendedMessage { Sender = "asp@telerik.com", Subject = "Telerik ASP.NET", Size = 100, Selected=true, Link="http://www.telerik.com/aspnet", LinkName="Telerik - ASP.NET" },
                new ExtendedMessage { Sender = "wpf@telerik.com", Subject = "Telerik WPF", Size = 100, IconUrl=@"/Content/Images/green.png", Link="http://www.telerik.com/wpf", LinkName="Telerik - WPF" },
                new ExtendedMessage { Sender = "silverlight@telerik.com", Subject = "Telerik Silverlight", Size = 100, IconUrl=@"/Content/Images/red.png", Link="http://www.telerik.com/silverlight", LinkName="Telerik - Silverlight" },
                new ExtendedMessage { Sender = "winforms@telerik.com", Subject = "Telerik WinForms", Size = 200, IconUrl=@"/Content/Images/green.png", Link="http://www.telerik.com/winforms", LinkName="Telerik - WinForms" },
                new ExtendedMessage { Sender = "sitefinity@telerik.com", Subject = "Telerik Sitefinity", Size = 200, Selected=true, Link="http://www.telerik.com/sitefinity", LinkName="Telerik - Sitefinity" },
				new ExtendedMessage { Sender = "orm@telerik.com", Subject = "Telerik ORM", Size = 300, IconUrl=@"/Content/Images/red.png", Link="http://www.telerik.com/orm", LinkName="Telerik - ORM" },
				new ExtendedMessage { Sender = "reporting@telerik.com", Subject = "Telerik Reporting", Size = 300, IconUrl=@"/Content/Images/red.png", Link="http://www.telerik.com/reporting", LinkName="Telerik - Reporting" }
            };
        }

        public static IEnumerable<Message> GetMessages()
        {
            return new ObservableCollection<Message>() { 
				new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100, Selected=true },
                new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 100 },
                new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100 },
                new Message { Sender = "jerry2@hanna-barbera.com", Subject = "2Mice are cool", Size = 200 },
                new Message { Sender = "spike2@hanna-barbera.com", Subject = "2Dogs are cool", Size = 200, Selected=true },
				new Message { Sender = "jerry3@hanna-barbera.com", Subject = "3Mice are cool", Size = 300 },
				new Message { Sender = "spike3@hanna-barbera.com", Subject = "3Dogs are cool", Size = 300 }
            };
        }
    }
}
